///File : findFile.hpp
//------------------------------------------------------------------------------
/*
    This file is part of DevisMaker.

    DevisMaker is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DevisMaker is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DevisMaker.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/stdpaths.h>
#include <wx/filename.h>
//------------------------------------------------------------------------------
#include "config.hpp"
#include "buildVersionOptions.hpp"
#include "strWxStdConv.hpp"
//------------------------------------------------------------------------------

#if not defined PACKAGE
    #error "This program should be built with its package !"// #define PACKAGE devismaker
#endif

#if not defined FIND_FILE_HPP_DEVIS_MAKER
#define FIND_FILE_HPP_DEVIS_MAKER

wxString findFile(const wxString &str);
wxString findFileUserDataDir(const wxString &str);
wxString copyToSysConfigDir(const wxString &filepath);
wxString copyToUserConfigDir(const wxString &filepath);
wxString findConfigFile(const wxString &str, const bool &searchInDataDir = true);

#endif //FIND_FILE_HPP_DEVIS_MAKER
